# The Credit Balance Transaction object

### The Credit Balance Transaction object

```json
{
  "id": "cbtxn_test_61R9ZljjaFmdidb6e41L6nFOS1ekD9Ue",
  "object": "billing.credit_balance_transaction",
  "created": 1726619524,
  "credit": null,
  "credit_grant": "credgr_test_61R9ZkIkIzLSp0xze41L6nFOS1ekDTPE",
  "debit": {
    "amount": {
      "monetary": {
        "currency": "usd",
        "value": 1000
      },
      "type": "monetary"
    },
    "credits_applied": {
      "invoice": "in_1Q0BoLL6nFOS1ekDbwBM5ER1",
      "invoice_line_item": "il_1QB443L6nFOS1ekDwRiN3Z4n"
    },
    "type": "credits_applied"
  },
  "effective_at": 1729211351,
  "livemode": false,
  "test_clock": "clock_1Q0BoJL6nFOS1ekDbyYYuseM",
  "type": "debit"
}
```

## Attributes

- `id` (string)
  Unique identifier for the object.

- `object` (string)
  String representing the object’s type. Objects of the same type share the same value.

- `created` (timestamp)
  Time at which the object was created. Measured in seconds since the Unix epoch.

- [`credit`](https://docs.stripe.com/api/billing/credit-balance-transaction/object.md?query=credit) (object, nullable)
  Credit details for this credit balance transaction. Only present if type is `credit`.

- `credit_grant` (string, expandable (can be expanded into an object with the `expand` request parameter))
  The credit grant associated with this credit balance transaction.

- [`debit`](https://docs.stripe.com/api/billing/credit-balance-transaction/object.md?query=debit) (object, nullable)
  Debit details for this credit balance transaction. Only present if type is `debit`.

- `effective_at` (timestamp)
  The effective time of this credit balance transaction.

- `livemode` (boolean)
  If the object exists in live mode, the value is `true`. If the object exists in test mode, the value is `false`.

- `test_clock` (string, nullable, expandable (can be expanded into an object with the `expand` request parameter))
  ID of the test clock this credit balance transaction belongs to.

- `type` (enum, nullable)
  The type of credit balance transaction (credit or debit).
Possible enum values:
  - `credit`
    A credit transaction.

  - `debit`
    A debit transaction.
